
countrydb <- ConnectSQL( "IpToCountrydb.db" );
function IpToGeoId(IP)
{
	local result = 0;
	local IPSplit = split(IP, ".");
	if (countrydb && IPSplit.len() == 4)
	{
		local query = QuerySQL(countrydb, "SELECT geoname_id FROM CountryBlocks WHERE ((" + IPSplit[0] + " << 24) | (" + IPSplit[1] + " << 16) | (" + IPSplit[2] + " << 8) | " + IPSplit[3] + ") BETWEEN network_start_integer AND network_last_integer LIMIT 1");
		if (query)
		{
			result = GetSQLColumnData(query, 0);
			FreeSQLQuery(query);
		}
	}
	return result;
}

function GeoIdGetCountryName(geoname_id)
{
	local result = null;
	if (countrydb && geoname_id)
	{
		local query = QuerySQL(countrydb, "SELECT * FROM Locations_en WHERE geoname_id=" + geoname_id);
		if (query)
		{
			result = GetSQLColumnData(query, 4) + ". (" + GetSQLColumnData(query, 2) + ")";
			FreeSQLQuery(query);
		}
		else result = "Mars. (Solar System)"
	}
	return result;
}

function IpToCountry(IP)
{
	return GeoIdGetCountryName(IpToGeoId(IP));
}